Skip to main content

Brands

Manage product brands.

Base URL: /api/v1/partner/brands

Endpoints Overview

MethodEndpointDescription
POST/Create Brand
PUT/{brandId}Update Brand
DELETE/{brandId}Delete Brand

Create Brand

POST /api/v1/partner/brands

Create a new brand. Send a BrandAddRequest in the request body with the brand details.

Request Body

FieldTypeRequiredDescription
namestringNoName
activebooleanNoWhether active
websitestringNoWebsite URL
phoneNostringNoPhone number
brandLogoCompanyAssetNoBrand Logo
vendorListstring[]NoVendor List
platformBrandIdstringNoPlatform Brand identifier
externalIdstringNoExternal system identifier
leadTimelongNoLead timestamp (epoch ms)
minDaysOnHandlongNoMin Days On Hand
maxDaysOnHandlongNoMax Days On Hand

Response

Returns a Brand object.

FieldTypeRequiredDescription
idstringNoUnique identifier
companyIdstringNoCompany identifier
createdlongNoCreated timestamp (epoch ms)
modifiedlongNoLast modified timestamp (epoch ms)
deletedbooleanNoWhether the record is deleted
updatedbooleanNoWhether the record has been updated
namestringNoName
activebooleanNoWhether active
websitestringNoWebsite URL
phoneNostringNoPhone number
brandLogoCompanyAssetNoBrand Logo
vendorListstring[]NoVendor List
isDefaultbooleanNoIs Default
externalIdstringNoExternal system identifier
platformBrandIdstringNoPlatform Brand identifier
globalBrandIdstringNoGlobal Brand identifier
leadTimelongNoLead timestamp (epoch ms)
minDaysOnHandlongNoMin Days On Hand
maxDaysOnHandlongNoMax Days On Hand

Update Brand

PUT /api/v1/partner/brands/{brandId}

Update an existing brand by ID. Send the full Brand object in the request body.

Path Parameters

ParameterTypeDescription
brandIdstringThe brand i d

Request Body

FieldTypeRequiredDescription
idstringNoUnique identifier
companyIdstringNoCompany identifier
createdlongNoCreated timestamp (epoch ms)
modifiedlongNoLast modified timestamp (epoch ms)
deletedbooleanNoWhether the record is deleted
updatedbooleanNoWhether the record has been updated
namestringNoName
activebooleanNoWhether active
websitestringNoWebsite URL
phoneNostringNoPhone number
brandLogoCompanyAssetNoBrand Logo
vendorListstring[]NoVendor List
isDefaultbooleanNoIs Default
externalIdstringNoExternal system identifier
platformBrandIdstringNoPlatform Brand identifier
globalBrandIdstringNoGlobal Brand identifier
leadTimelongNoLead timestamp (epoch ms)
minDaysOnHandlongNoMin Days On Hand
maxDaysOnHandlongNoMax Days On Hand

Response

Returns a Brand object.

FieldTypeRequiredDescription
idstringNoUnique identifier
companyIdstringNoCompany identifier
createdlongNoCreated timestamp (epoch ms)
modifiedlongNoLast modified timestamp (epoch ms)
deletedbooleanNoWhether the record is deleted
updatedbooleanNoWhether the record has been updated
namestringNoName
activebooleanNoWhether active
websitestringNoWebsite URL
phoneNostringNoPhone number
brandLogoCompanyAssetNoBrand Logo
vendorListstring[]NoVendor List
isDefaultbooleanNoIs Default
externalIdstringNoExternal system identifier
platformBrandIdstringNoPlatform Brand identifier
globalBrandIdstringNoGlobal Brand identifier
leadTimelongNoLead timestamp (epoch ms)
minDaysOnHandlongNoMin Days On Hand
maxDaysOnHandlongNoMax Days On Hand

Delete Brand

DELETE /api/v1/partner/brands/{brandId}

Delete a brand by its ID.

Path Parameters

ParameterTypeDescription
brandIdstringThe brand i d